summaryrefslogtreecommitdiffstats
path: root/tests/shell
diff options
context:
space:
mode:
authorPhil Sutter <phil@nwl.cc>2018-01-20 14:21:01 +0100
committerPablo Neira Ayuso <pablo@netfilter.org>2018-01-25 20:53:21 +0100
commitff43c01bda0c9d469a00dfb251a5002a9947c1f0 (patch)
tree79f4f338822c10ca54c0338d0664f45c183ff177 /tests/shell
parent0c9a946f51880a7163230cc1929ee4392c6a817f (diff)
tests/shell: Add back named_interval_automerging_0
Change the test to expect no automerging since it was disabled recently. Signed-off-by: Phil Sutter <phil@nwl.cc> Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests/shell')
-rwxr-xr-xtests/shell/testcases/sets/0002named_interval_automerging_012
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/shell/testcases/sets/0002named_interval_automerging_0 b/tests/shell/testcases/sets/0002named_interval_automerging_0
new file mode 100755
index 00000000..68898638
--- /dev/null
+++ b/tests/shell/testcases/sets/0002named_interval_automerging_0
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# This testscase checks the automerging of adjacent intervals
+
+set -e
+
+$NFT add table t
+$NFT add set t s { type ipv4_addr \; flags interval \; }
+$NFT add element t s { 192.168.0.0/24, 192.168.1.0/24 }
+$NFT list ruleset | grep "192.168.0.0/23" >/dev/null || exit 0
+echo "E: automerging of adjacent intervals happened unexpectedly." >&2
+exit 1